import request from '@/utils/request'

// 查询手术信息列表
export function listOperationInfo(query) {
    return request({
        url: '/manage/operationInfo/list',
        method: 'get',
        params: query
    })
}

// 查询手术信息详细
export function getOperationInfo(id) {
    return request({
        url: '/manage/operationInfo/' + id,
        method: 'get'
    })
}

// 新增手术信息
export function addOperationInfo(data) {
    return request({
        url: '/manage/operationInfo/add',
        method: 'post',
        data: data
    })
}

// 修改手术信息
export function updateOperationInfo(data) {
    return request({
        url: '/manage/operationInfo/edit',
        method: 'put',
        data: data
    })
}

// 删除手术信息
export function delOperationInfo(id) {
    return request({
        url: '/manage/operationInfo/remove/' + id,
        method: 'delete'
    })
}
// 科室列表
export function getDepartmentLis(query) {
    return request({
        url: '/system/department/getDepartmentList',
        method: 'get',
        params: query
    })
}
// 手术左侧列表

export function listOperationNum(query) {
    return request({
        url: '/system/department/listOperationNum',
        method: 'get',
        params: query
    })
}
